For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • GETGet all custom fields
      • POSTCreate a custom field for a customer
      • GETGet a custom field by ID
      • DELDelete a custom field
      • PATCHUpdate the custom field
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APICustom Fields

Get all custom fields

GET
/v:version/custom-fields
GET
/v:version/custom-fields
$curl https://test.api.solvimon.com/v1/custom-fields \
> -H "X-API-KEY: <apiKey>"
1{
2 "data": [
3 {
4 "object_type": "string",
5 "id": "string",
6 "reference": "string",
7 "name": "string",
8 "description": "string",
9 "resource_type": "PLATFORM",
10 "multiple_values": true,
11 "unique_value": true,
12 "copy_value_to_invoice": true,
13 "integration_id": "string",
14 "integration_reference": "string",
15 "type": "STRING",
16 "enum_values": [
17 "string"
18 ]
19 }
20 ],
21 "links": {
22 "first": "string",
23 "previous": "string",
24 "current": "string",
25 "next": "string"
26 },
27 "page": 1,
28 "limit": 1,
29 "total_number_of_pages": 1
30}

Requires the CUSTOM_FIELD.VIEW permission.

Was this page helpful?
Previous

Create a custom field for a customer

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

resource_typestringOptional
The resource type of the custom field
referencestringOptional
The reference of the custom field
integration_idstringOptional
The ID of the custom field integration
order_bystringOptional
The parameter by which the response is ordered
order_directionstringOptional
The order direction by which the response is ordered
limitintegerOptional
The amount of records shown in the list
pageintegerOptional
The page which is going to be shown

Response

OK
datalist of objects
linksobject
pageinteger or null
limitinteger or null
total_number_of_pagesinteger or nullDeprecated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error